%define module_name	uvcvideo
%define module_version	1.1
%define module_release	alt0.195.12

%define kversion	2.6.18
%define krelease	alt12
%define flavour		std-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: uvcvideo USB camera driver
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware
Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>
ExclusiveOS: Linux
URL: http://mxhaard.free.fr
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
Linux Kernel USB Video Class module
  linux-uvc is a kernel module that supports some standard devices that
  implement USB Video Class.

  Currently supports Logitech Quickcam Fusion, Logitech Quickcam Orbit,
  Logitech Quickcam Pro for Notebooks, and Logitech Quickcam Pro 5000.

The UVC specification covers webcams, digital camcorders, analog video
converters, analog and digital television tuners, and still-image cameras that
support video streaming for both video input and output.
Due to the limited available man power and the broad scope of the UVC
specification, the Linux UVC project will concentrate the development efforts
on video input devices, especially webcams. Video output devices will be
considered at a later time.

The Linux UVC projects is currently focussing on kernel support for UVC
devices. The driver implements the Video4Linux 2 (V4L2) API. Support for V4L1
is not planned.


%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version


%build
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`


%install
install -d %buildroot%module_dir
install -p -m644 uvcvideo.ko %buildroot%module_dir

install -d %buildroot%_docdir/%name-%version-%release


%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease


%files
%module_dir


%changelog
* Sun Mar 23 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1.1-alt0.195.12
- new version

* Fri Mar 21 2008 Michail Yakushin <silicium@altlinux.ru> 1.1-alt0
- moved to git
- build for std-def-2.6.24

* Wed Feb 27 2008 Led <led@altlinux.ru> 1.1-alt0.132630.11
- build for led-std-2.6.22-alt11

* Tue Jan 15 2008 Led <led@altlinux.ru> 1.00.00-alt2.132626.10
- 1.1

* Wed Dec 12 2007 Sergey Vlasov <vsu@altlinux.ru> 1.00.00-alt2.132626.10
- Build for kernel-image-std-smp-2.6.18-alt10.

* Tue Dec 11 2007 Sergey Vlasov <vsu@altlinux.ru> 1.00.00-alt2
- Converted to spec template for autorebuild with new kernels.
- Replaced kernel-build-tools with rpm-build-kernel in BuildRequires.

* Tue Nov 27 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.00.00-alt1.132629.9
- new kernel 

* Wed Sep 26 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.00.00-alt1.132628.8
- new kernel

* Wed Aug 29 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.00.00-alt1.132628.7
- First build for ALT Linux.
